#208 Compilation errors on OS X 10.9 (maverick)

Other
closed-fixed
nobody
None
5
2014-07-30
2013-10-31
Xinming Ou
No

When compiling XSB on OS X 10.9 (maverick), it first complained about an invalid gcc option “-faltivec.” I removed that option, but got the following link error at the end:

Making XSB executable /Users/xou/sw/XSB/config/i386-apple-darwin13.0.0/bin/xsb

-e [gcc] -o /Users/xou/sw/XSB/config/i386-apple-darwin13.0.0/bin/xsb
Undefined symbols for architecture x86_64:
"_abolish_table_pred_single", referenced from:
_abolish_table_predicate_switch in tr_utils.o
_abolish_table_predicate in tr_utils.o
_abolish_usermod_tables in tr_utils.o
_abolish_module_tables in tr_utils.o
"_abolish_table_pred_transitive", referenced from:
_abolish_table_predicate_switch in tr_utils.o
_abolish_table_predicate in tr_utils.o
"_ctop_tag", referenced from:
_builtin_call in builtin.o
"_handle_incrementally_rederived_answer", referenced from:
_variant_answer_search in tries.o
"_prolog_call0", referenced from:
_builtin_call in builtin.o
_incr_eval_builtin in incr_xsb.o
"_prolog_code_call", referenced from:
_builtin_call in builtin.o
"_trie_asserted_clref", referenced from:
_table_inspection_function in tr_utils.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[1]: [xsb] Error 1
make:
[emulator] Error 1

1 Attachments

Related

Bugs: #208

Discussion

  • Terrance Swift
    Terrance Swift
    2013-10-31

    Fixed in the SVN version that you can download anonymously. We'll put out a new release soon.

     
  • Xinming Ou
    Xinming Ou
    2013-10-31

    Thanks!

    -Simon

    On Oct 31, 2013, at 8:06 AM, Terrance Swift tswift@users.sf.net wrote:

    Fixed in the SVN version that you can download anonymously. We'll put out a new release soon.

    [bugs:#208] Compilation errors on OS X 10.9 (maverick)

    Status: open
    Created: Thu Oct 31, 2013 04:23 AM UTC by Xinming Ou
    Last Updated: Thu Oct 31, 2013 04:23 AM UTC
    Owner: nobody

    When compiling XSB on OS X 10.9 (maverick), it first complained about an invalid gcc option “-faltivec.” I removed that option, but got the following link error at the end:

    Making XSB executable /Users/xou/sw/XSB/config/i386-apple-darwin13.0.0/bin/xsb

    -e [gcc] -o /Users/xou/sw/XSB/config/i386-apple-darwin13.0.0/bin/xsb
    Undefined symbols for architecture x86_64:
    "_abolish_table_pred_single", referenced from:
    _abolish_table_predicate_switch in tr_utils.o
    _abolish_table_predicate in tr_utils.o
    _abolish_usermod_tables in tr_utils.o
    _abolish_module_tables in tr_utils.o
    "_abolish_table_pred_transitive", referenced from:
    _abolish_table_predicate_switch in tr_utils.o
    _abolish_table_predicate in tr_utils.o
    "_ctop_tag", referenced from:
    _builtin_call in builtin.o
    "_handle_incrementally_rederived_answer", referenced from:
    _variant_answer_search in tries.o
    "_prolog_call0", referenced from:
    _builtin_call in builtin.o
    _incr_eval_builtin in incr_xsb.o
    "_prolog_code_call", referenced from:
    _builtin_call in builtin.o
    "_trie_asserted_clref", referenced from:
    _table_inspection_function in tr_utils.o
    ld: symbol(s) not found for architecture x86_64
    clang: error: linker command failed with exit code 1 (use -v to see invocation)
    make[1]: [xsb] Error 1
    make: [emulator] Error 1

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/xsb/bugs/208/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #208

  • Peter Ludemann
    Peter Ludemann
    2014-02-01

    Confirmed that the SVN version works fine on OS X 10.9.1 with Xcode 5 but the download version still has the problem.
    I used this command to pull from SVN: svn checkout svn://svn.code.sf.net/p/xsb/src/trunk xsb-src

     
  • Terrance Swift
    Terrance Swift
    2014-07-30

    • status: open --> closed-fixed